Agent-readable docs index: /docs/llms.txt. Full docs in one file: /docs/llms-full.txt. Download /docs/docs.zip to grep all markdown files locally.

Append a batch of events to one stream

/v1/eventsPOST
Authorization
bearer *Bearer <token>
API key of the form kaibo_<id>.<secret>. Scopes: read, write, read_write, forget, admin.
Request Bodyapplication/jsonrequired
streamId?string
Default: "default"Min length: 1Max length: 128
events *object[]
Min items: 1Max items: 100
Show item properties
idempotencyKey *string
Min length: 1Max length: 255
occurredAt?string (date-time)
source *object
Show properties
kind *"message" | "tool_call" | "file" | "commit" | "system" | "import"
agent?string
Min length: 1Max length: 128
uri?string
Min length: 1Max length: 2048
payload *object
blobRef?string
Min length: 1Max length: 512
Response
200 · Replayed: nothing new was appended
Replayed: nothing new was appended
201 · Success
streamId *string
Min length: 1Max length: 128
firstSeq *integer
Min: 1Max: 9007199254740991
lastSeq *integer
Min: 1Max: 9007199254740991
headHash *string
Pattern: ^[0-9a-f]{64}$
events *object[]
Show item properties
id *string
Min length: 1Max length: 128
seq *integer
Min: 1Max: 9007199254740991
hash *string
Pattern: ^[0-9a-f]{64}$
replayed *boolean
400 · Invalid request
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "internal"
message *string
requestId *string
details?object
401 · Missing, malformed, revoked or expired key
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "internal"
message *string
requestId *string
details?object
403 · The key lacks the required scope
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "internal"
message *string
requestId *string
details?object
429 · Rate limited. See Retry-After
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "internal"
message *string
requestId *string
details?object
Request example
curl -X POST "/v1/events" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "streamId": "default", "events": [ { "idempotencyKey": "string", "occurredAt": "2024-01-15T09:30:00Z", "source": { "kind": "message", "agent": "string", "uri": "string" }, "blobRef": "string" } ] }'